how to add two sdk of arcgis android in project?

1124
4
02-22-2017 04:14 AM
mahshidfallah1
New Contributor

hi,i need version 10-2 and 100.0.0 of sdk arcgis android.when add both of them i have error.how i can fix it?

Error:Execution failed for task ':app:transformNative_libsWithMergeJniLibsForDebug'.
> com.android.build.api.transform.TransformException: com.android.builder.packaging.DuplicateFileException: Duplicate files copied in APK lib/x86/libruntimecore_java.so
File1: C:\Users\falah\AndroidStudioProjects\SelectMaP\app\build\intermediates\exploded-aar\com.esri.arcgis.android\arcgis-android\10.2.8-1\jni
File2: C:\Users\falah\AndroidStudioProjects\SelectMaP\app\build\intermediates\exploded-aar\com.esri.arcgisruntime\arcgis-android\100.0.0\jni

Tags (1)
0 Kudos
4 Replies
mahshidfallah1
New Contributor

please help

0 Kudos
ShellyGill1
Esri Contributor

Hi Mahshid,

I'm afraid this is not supported - as you've found, there's two native libraries in conflict here - the files have the same name and would need to live in the same location, but are different in content. Are you trying to migrate a project from 10.2.x to 100.0 perhaps?

Regards

Shelly

mahshidfallah
New Contributor

in my project , i use arcgis version 10.2.8 . now i need some attribute of arcgis for example screenshot of map .. now i should add version 100.0 of arcgis .i have conflict .. how i can fix it?!!!

0 Kudos
AlexanderNohe1
Regular Contributor II

Hi mahshid fallah‌,

As Shelly mentioned, you would need to either go with version 100 of the runtime or 10.2.x as integrating both libraries into the same project is not supported.  If you are early on in the development of your app, I would encourage you to move to version 100 of the runtime and look forward to the runtime updates that should be coming up, hopefully soon.

Thanks,

Alexander

0 Kudos